package com.viettel.campaign.model;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;

@Entity
@Table(name = "AP_PARAM")
public class ApParam implements Serializable {

    @Id
    @NotNull
    @Column(name = "AP_PARAM_ID")
    private Long apParamId;

    @Column(name = "PAR_TYPE")
    private String parType;

    @Column(name = "PAR_NAME")
    private String parName;

    @Column(name = "PAR_VALUE")
    private String parValue;

    @Column(name = "PAR_CODE")
    private String parCode;

    @Column(name = "DESCRIPTION")
    private Long description;

    @Column(name = "IS_DELETE")
    private  Long isDelete;

    @Column(name = "IS_DEFAULT")
    private  Long isDefault;

    @Column(name = "ENABLE_EDIT")
    private  Long enableEdit;

    @Column(name = "COMPANY_SITE_ID")
    private  Long siteId;

    public Long getApParamId() {
        return apParamId;
    }

    public void setApParamId(Long apParamId) {
        this.apParamId = apParamId;
    }

    public String getParType() {
        return parType;
    }

    public void setParType(String parType) {
        this.parType = parType;
    }

    public String getParName() {
        return parName;
    }

    public void setParName(String parName) {
        this.parName = parName;
    }

    public String getParValue() {
        return parValue;
    }

    public void setParValue(String parValue) {
        this.parValue = parValue;
    }

    public String getParCode() {
        return parCode;
    }

    public void setParCode(String parCode) {
        this.parCode = parCode;
    }

    public Long getDescription() {
        return description;
    }

    public void setDescription(Long description) {
        this.description = description;
    }

    public Long getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Long isDelete) {
        this.isDelete = isDelete;
    }

    public Long getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(Long isDefault) {
        this.isDefault = isDefault;
    }

    public Long getEnableEdit() {
        return enableEdit;
    }

    public void setEnableEdit(Long enableEdit) {
        this.enableEdit = enableEdit;
    }

    public Long getSiteId() {
        return siteId;
    }

    public void setSiteId(Long siteId) {
        this.siteId = siteId;
    }
}
